//+------------------------------------------------------------------+
//|                                                      Flipper.mq4 |
//|                      Copyright  2007, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
#define MAX_TICKS 1000
extern bool Text=true;
extern int period1=PERIOD_M30;
int PrevMinute,IndDots;
int tick_counter;
double tick_buffer[MAX_TICKS];
color color1=Yellow;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
  string nume = "__"+Symbol();
  ObjectCreate(nume,OBJ_TREND,0,CurTime()+60*Period(),Bid,CurTime()+240*Period(),Bid);
  ObjectSet(nume,OBJPROP_WIDTH,3);
  color1=Yellow;
  ObjectSet(nume,OBJPROP_COLOR,color1);
  ObjectSet(nume,OBJPROP_RAY,false);  
  
  PrevMinute=Minute();
  IndDots=0;
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
    ObjectDelete("__"+Symbol());   //sterge liniile yellow
  for (int i=0; i<=IndDots; i++)  //sterge toate punctele albastre
  {  string StrDots=i;
     ObjectDelete(StrDots);
  }    
//----
   return(0);
  }
  
bool NewBar(int per1)
{
   static datetime dt = 0;
   if (dt == 0) dt = iTime(NULL, per1, 0);
   if (dt != iTime(NULL, per1, 0))
   {
      dt = iTime(NULL, per1, 0);
      return(true);
   }
   return(false);
}  
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
     //////////////////////////////////////////////
  int minus=0,plus=0;
  if(tick_counter<MAX_TICKS)
    tick_buffer[tick_counter]=Bid;    
  tick_counter=tick_counter+1;
  //for (int k=0;k<500;k++)
    
  
  ObjectMove("__"+Symbol(),0,CurTime()+60*Period(),Bid);
  ObjectMove("__"+Symbol(),1,CurTime()+240*Period(),Bid);
  for (int l=1;l<MAX_TICKS;l++)
  {
    if(tick_buffer[l]!=0)
    {
    if (tick_buffer[l]>tick_buffer[l-1])
      plus=plus+1;
    if (tick_buffer[l]<tick_buffer[l-1])
      minus=minus+1;      
    }
    else
      break;  
  }
  if(plus>minus)  
    color1=Aqua;        
  if(plus<minus)  
    color1=Magenta;    
  if(plus==minus) 
    color1=White;     
    
   
    
  ObjectSet("__"+Symbol(),OBJPROP_COLOR,color1);
  
  if(NewBar(period1))
  {  
       color1=Yellow;
      tick_counter=0;
     for (int k=0;k<MAX_TICKS;k++)
       tick_buffer[k]=0;  
  }
  if(Text)
  {     
    Comment("");
    Comment("Plus:",plus," Minus:",minus);
  }
  /////////////////////////////////////////////////
  
  if (PrevMinute!=Minute())
  {  string StrDots=IndDots;
     ObjectCreate(StrDots,OBJ_TREND,0,CurTime(),Bid,CurTime()+60*Period(),Bid);
     ObjectSet(StrDots,OBJPROP_WIDTH,1);
     ObjectSet(StrDots,OBJPROP_COLOR,color1);
     ObjectSet(StrDots,OBJPROP_RAY,false);
     ObjectSet(StrDots,OBJPROP_BACK,true);
 
     PrevMinute=Minute();
     IndDots+=1;
  }
  
//----
   return(0);
  }
//+------------------------------------------------------------------+